#!/bin/sh
### BEGIN INIT INFO
# Provides:          hwclock
# Required-Start:    
# Required-Stop:     $local_fs
# Default-Start:     S
# Default-Stop:      0 6
# Short-Description: Set system clock
# Description:       Set system clock to hardware clock, according to the UTC
#                    setting in /etc/default/rcS (see also rcS(5)).
### END INIT INFO
#
# WARNING:      If your hardware clock is not in UTC/GMT, this script
#               must know the local time zone. This information is
#               stored in /etc/localtime. This might be a problem if
#               your /etc/localtime is a symlink to something in
#               /usr/share/zoneinfo AND /usr isn't in the root
#               partition! The workaround is to define TZ either
#               in /etc/default/rcS, or in the proper place below.

[ ! -x /sbin/hwclock ] && exit 0

[ -f /etc/default/rcS ] && . /etc/default/rcS

[ "$UTC" = "yes" ] && tz="--utc" || tz="--localtime"
case "$1" in
        start)
		EPOCH_HW="$(date -d "$(hwclock -r)" +%s)"
		EPOCH_DIFF="$(cat /etc/epoch.txt)"
		EPOCH_SYS="$((EPOCH_HW + EPOCH_DIFF))"
        date -s "@$EPOCH_SYS"
		;;
        *)
                echo "Usage: hwclock.sh {start}" >&2
		echo "       Simple script convert /etc/epoch.txt back to system time." >&2
                exit 1
                ;;
esac
