#!/bin/bash

killall app
killall snpe_sample
killall pnp_client

SCOPE_ID=$(awk '/scope-id/ {print $2}' pnp.conf)
#echo $SCOPE_ID
DEV_NAME=$(awk '/device-name/ {print $2}' pnp.conf)
#echo $DEV_NAME
NTP_SERV=$(awk '/ntp-server/ {print $2}' pnp.conf)
#echo $NTP_SERV

ntpd -nqp $NTP_SERV

mkdir -p /opt/ca/
echo $DEV_NAME > /opt/ca/CN
rm /opt/ca/leaf-ca.pem
rm /opt/ca/leaf-key.pem
cp Certificate/device-ca.pem /opt/ca/leaf-ca.pem
cp Certificate/device-key.pem /opt/ca/leaf-key.pem
sync

# Start camera
export DISPLAY=:0.0
xset s off
xset dpms 0 0 0
export LD_LIBRARY_PATH=Runtimes/arch32/lib
./Runtimes/arch32/bin/app >/dev/null 2>&1 &

# Start AI Engine
cd Runtimes/arch64/bin/
export LD_LIBRARY_PATH=../lib
./snpe_sample >/dev/null 2>&1 &

# Start PnP Client
export SSL_CERT_FILE=../ssl/ca-certificates.crt
./pnp_client $SCOPE_ID > /dev/null 2>&1 & 


